Bug Hunting Session
Bug 54327 - MinGW: Missing smime.dll, plc4.dll, nspr4.dll
Summary: MinGW: Missing smime.dll, plc4.dll, nspr4.dll
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other Windows (All)
: medium major
Assignee: David Tardon
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-31 14:49 UTC by Rainer Bielefeld Retired
Modified: 2012-10-31 12:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-31 14:49:09 UTC
Found with unzipped MinGW Master "3.7.0.0.alpha+ [Build ID: 4deb9d4]  {Win-x86@7-MinGW   pull time 2012-08-31 05:20:19} on WIN7 Home Premium (64bit) that a.m.  .dll are missing in a.m. build. 

When I copy dlls from other Master, MinGW build can be launched.
Comment 1 David Tardon 2012-09-03 04:42:08 UTC
That is the result of dropping --disable-xmlsec . We require nss now, so the build needs to be updated to include these dlls.
Comment 2 Rainer Bielefeld Retired 2012-09-15 09:09:08 UTC
May be I typed incorrect name, should be "smime3.dll"?
Comment 3 Rainer Bielefeld Retired 2012-10-03 07:27:39 UTC
Build 2012-10-03 additionally complains missing "liblang-0.dll". No idea whether related to original report or not.
Comment 4 m.a.riosv 2012-10-10 21:53:41 UTC
(In reply to comment #3)
> Build 2012-10-03 additionally complains missing "liblang-0.dll". No idea
> whether related to original report or not.

Related bug:
MinGW cannot start. liblangtag-0.dll is missing on the computer.
https://bugs.freedesktop.org/show_bug.cgi?id=55514
Comment 5 Not Assigned 2012-10-31 12:31:37 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6f97a750dda531deabc00223c89abf043640701

fdo#54327 put system nss dlls into the install set



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.